Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel.socket.http
Class HttpTunnelingServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jboss.netty.channel.socket.http.HttpTunnelingServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class HttpTunnelingServlet

extends HttpServlet

An `HttpServlet` that proxies an incoming data to the actual server and vice versa. Please refer to the package summary for the detailed usage.

Version:
  $Rev: 2119 $, $Date: 2010-02-01 20:46:09 +0900 (Mon, 01 Feb 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee
See Also:
  Serialized Form

Constructor Summary
`HttpTunnelingServlet()`

Method Summary
`protected ChannelFactory` | `createChannelFactory(SocketAddress remoteAddress)`
`void` | `destroy()`
`protected void` | `destroyChannelFactory(ChannelFactory factory)`
`void` | `init()`
`protected SocketAddress` | `parseEndpoint(String endpoint)`
`protected void` | `service(HttpServletRequest req, HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTunnelingServlet

    public HttpTunnelingServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### parseEndpoint

    protected SocketAddress parseEndpoint(String endpoint)
                                   throws Exception

  Throws:
    `Exception`

### createChannelFactory

    protected ChannelFactory createChannelFactory(SocketAddress remoteAddress)
                                           throws Exception

  Throws:
    `Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Servlet`
  Overrides:
    `destroy` in class `GenericServlet`

### destroyChannelFactory

    protected void destroyChannelFactory(ChannelFactory factory)
                                  throws Exception

  Throws:
    `Exception`

### service

    protected void service(HttpServletRequest req,
                           HttpServletResponse res)
                    throws ServletException,
                           IOException

  Overrides:
    `service` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.